-- Copyright (c) 2026 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

-- Description: 网卡复位和上下电控制对象

local log = require 'mc.logging'
local c_object = require 'mc.orm.object'
local skynet = require 'skynet'

---@class c_network_adapter_controller: c_object
local c_network_adapter_controller = c_object('NetworkAdapterController')

-- 构造函数
function c_network_adapter_controller:ctor(obj)
end

-- 初始化函数
function c_network_adapter_controller:init()
    c_network_adapter_controller.super.init(self)
    log:notice('[NetworkAdapterController] init: NodeId=%s', self.NodeId)
end

-- 析构函数
function c_network_adapter_controller:dtor()
end

return c_network_adapter_controller

